## org.jfree.data
Class AbstractIntervalXYDataset

    java.lang.Object
      org.jfree.data.AbstractDataset
          org.jfree.data.AbstractSeriesDataset
              org.jfree.data.AbstractXYDataset
                  org.jfree.data.AbstractIntervalXYDataset

All Implemented Interfaces:
  java.lang.Cloneable, Dataset, java.util.EventListener, IntervalXYDataset, java.io.ObjectInputValidation, java.io.Serializable, SeriesChangeListener, SeriesDataset, XYDataset

Direct Known Subclasses:
  CategoryTableXYDataset, CombinedDataset, DefaultTableXYDataset, DynamicTimeSeriesCollection, HistogramDataset, SubSeriesDataset, TimePeriodValuesCollection, TimeSeriesCollection, TimeTableXYDataset, XYBarDataset, XYSeriesCollection

public abstract class AbstractIntervalXYDataset
extends AbstractXYDataset
implements IntervalXYDataset

An base class that you can use to create new implementations of the `XYDataset` interface.

See Also:
  Serialized Form

Constructor Summary
`AbstractIntervalXYDataset()`

Method Summary
`double` `getEndX(int series, int item)` Returns the end x-value (as a double primitive) for an item within a series.
`double` `getEndY(int series, int item)` Returns the end y-value (as a double primitive) for an item within a series.
`double` `getStartX(int series, int item)` Returns the start x-value (as a double primitive) for an item within a series.
`double` `getStartY(int series, int item)` Returns the start y-value (as a double primitive) for an item within a series.

Methods inherited from class org.jfree.data.AbstractXYDataset
`getX, getY`

Methods inherited from class org.jfree.data.AbstractSeriesDataset
`getSeriesCount, getSeriesName, seriesChanged`

Methods inherited from class org.jfree.data.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.IntervalXYDataset
`getEndXValue, getEndYValue, getStartXValue, getStartYValue`

Methods inherited from interface org.jfree.data.XYDataset
`getItemCount, getX, getXValue, getY, getYValue`

Methods inherited from interface org.jfree.data.SeriesDataset
`getSeriesCount, getSeriesName`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### AbstractIntervalXYDataset

    public AbstractIntervalXYDataset()

Method Detail

### getStartX

    public double getStartX(int series,
                            int item)

  Returns the start x-value (as a double primitive) for an item within a series.

  Specified by:
    `getStartX` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The start x-value.

### getEndX

    public double getEndX(int series,
                          int item)

  Returns the end x-value (as a double primitive) for an item within a series.

  Specified by:
    `getEndX` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The end x-value.

### getStartY

    public double getStartY(int series,
                            int item)

  Returns the start y-value (as a double primitive) for an item within a series.

  Specified by:
    `getStartY` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The start y-value.

### getEndY

    public double getEndY(int series,
                          int item)

  Returns the end y-value (as a double primitive) for an item within a series.

  Specified by:
    `getEndY` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The end y-value.